#include "hmbdc/Copyright.hpp"
#pragma once

#include <functional>

namespace hmbdc { namespace comm { namespace inet {

template <typename asio_endpoint>
struct HashEndpoint {
	typedef asio_endpoint argument_type;
    typedef std::size_t result_type;
    result_type operator()(argument_type const& e) const noexcept {
	    uint64_t v = e.port();
	    v += ((e.address().to_v4().to_ulong()) << 32u);
	    return std::hash<uint64_t>{}(v);
    }
};
}}}

