#include "hmbdc/Copyright.hpp"
#pragma once 
#include <stdexcept>


namespace hmbdc { namespace os {

struct ThreadConfigException : std::runtime_error {
    using std::runtime_error::runtime_error;
};

void
configureCurrentThread(char const*threadName, unsigned long cpumask
    , char const* schepolicy = "SCHED_OTHER", int priority = 0);

void
setCurrrentThreadSched(char const* schepolicy, int priority);
}}
