#include "hmbdc/app/rmcast/NetContext.hpp"
namespace tested_module = hmbdc::app::rmcast;
#include "hmbdc/app/reliable/Messages.hpp"
#include "hmbdc/app/utils/NetPerf.hpp"

#include <utility>

int main(int argc, char** argv) {
	using namespace tested_module;
    return hmbdc::app::utils::startNetPerf(tested_module::DefaultUserConfig
    ,
    "Warning: hmbdc-rmcast uses tcp AND multicast functions and it is imperative that multicast is enabled (stop the firewall?) on your network for this to work."
    "Example:\nrunning \n$sender-host: ./perf-rmcast --sender --ifaceAddr 192.168.1.101 \n"
    "$receiver-host1: ./perf-rmcast --receiver --ifaceAddr 192.168.1.102\n"
    "$receiver-host2: ./perf-rmcast --receiver --ifaceAddr 192.168.1.103 \n"
    "would start the sender using NIC with 192.168.1.101 ip address and two receivers using their 192.168.1.102, 192.168.1.103 NICs."
    ,
    argc, argv, std::forward_as_tuple(RecvTransport::NoOpArb()
        , hmbdc::app::reliable::DumpMemoryAttachmentWriter()));
}
