#include "hmbdc/app/rnetmap/NetContext.hpp"
namespace tested_module = hmbdc::app::rnetmap;
#include "hmbdc/app/reliable/Messages.hpp"
#include "hmbdc/app/utils/NetPerf.hpp"

#include <utility>

int main(int argc, char** argv) {
    using namespace tested_module;
    return hmbdc::app::utils::startNetPerf(tested_module::DefaultUserConfig
    ,
    "Warning: hmbdc-rnetmap uses tcp AND netmap functions and it is imperative that netmap driver is installed on your hosts for this to work."
    "Warning: hmbdc-rnetmap requires TWO different NICs per host (primary for netmap and backup for TCP)."
    "Warning: one netmap device only works with one process on its host."
    "Example:\nrunning \n$sender-host: ./perf-rnetmap --sender --tcpIfaceAddr 192.168.1.101 --netmapPort netmap:p3p2\n"
    "$receiver-host1: ./perf-rnetmap --receiver --tcpIfaceAddr 192.168.1.103 --netmapPort netmap:eno1 \n"
    "$receiver-host2: ./perf-rnetmap --receiver --tcpIfaceAddr 192.168.1.102 --netmapPort netmap:eno1 \n"
    "would start the sender using NIC p3p2 and NIC 192.168.1.101 and two receivers using their eno1+192.168.1.103 and eno2+192.168.1.102 NICs."
    ,
    argc, argv, std::forward_as_tuple(RecvTransport::NoOpArb()
        , hmbdc::app::reliable::DumpMemoryAttachmentWriter()));
}
